Bug 246338 - emulators/open-vm-tools open-vm-tools 11.1.0 has been released
Summary: emulators/open-vm-tools open-vm-tools 11.1.0 has been released
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-09 18:46 UTC by John Wolfe
Modified: 2020-05-14 14:20 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (jpaetzel)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Wolfe 2020-05-09 18:46:39 UTC
Open-vm-tools 11.1.0 has been released

Please see:

    https://github.com/vmware/open-vm-tools/releases/download/stable-11.1.0/open-vm-tools-11.1.0-16036546.tar.gz

    https://github.com/vmware/open-vm-tools/tree/stable-11.1.0

This release has incorporated some of the FreeBSD based pull requests submitted to the open-vm-tools project and with those updates, the following FreeBSD OVT patch files in the ports should not be needed.

patch-modules_freebsd_shared_compat__vop.h
patch-modules_freebsd_vmblock_vnops.c
patch-modules_freebsd_vmmemctl_os.c
Comment 1 Josh Paetzel freebsd_committer 2020-05-13 14:35:58 UTC
It looks like patch-libDeployPkg_processPosix.c is also redundant now.

I've verified functionality on ESXi 6.5 and 6.7 for FreeBSD 12.0-R and CURRENT.

I don't have an ESXi 7.0 setup yet.  I still need to test FreeBSD 11.x and 12.1.

Does this:

open-vm-tools 11.1.0 includes a new 'Service Discovery' plugin, which connects with the vRealize Operations Manager product. Refer to the following links for more information on this feature: https://marketplace.vmware.com/vsx/solutions/vrealize-operations-service-discovery-management-pack?ref=search https://www.vmware.com/products/vrealize-operations.html

work on FreeBSD?
Comment 2 John Wolfe 2020-05-13 15:08:23 UTC
The new 'Service Discovery' plugin is currently only available for Windows and newer Linux guests.   

For FreeBSD the following are would be needed

- FreeBSD versions of the service discovery script to be run on the guests
- plugin change to accept/collect and forward the info from the scripts

And the service would greatly benefit by using a secure socket (vmci/vsock) channel for the transmissions.

We have the vmci driver in CURRENT, but it has not been back-ported to 12 or 11.
Unfortunately we still do not have a vsock driver for FreeBSD (having been gently prodding for some resources here)
Comment 3 commit-hook freebsd_committer 2020-05-14 14:19:07 UTC
A commit references this bug:

Author: jpaetzel
Date: Thu May 14 14:18:16 UTC 2020
New revision: 535238
URL: https://svnweb.freebsd.org/changeset/ports/535238

Log:
  Update to version 11.1.0

  In terms of functionality this update is a no-op on
  FreeBSD.  Some local patches were upstreamed and have
  been removed from the port.

  Tested matrix is ESXi 6.5 and 6.7, and Fusion.
  FreeBSD HEAD, 12.1-R, 12.0-R and 11.3-R AMD64

  The test plan ensures the VM power control works from
  the management app, that the memory balloon driver operates
  properly, and that reporting back to vCenter as far as IP
  and whether the tools are installed and operational works.

  In particular no i386 versions of FreeBSD were
  explicitly tested, nor was any testing done on ESXi 7.0

  https://github.com/vmware/open-vm-tools/blob/stable-11.1.0/ReleaseNotes.md

  The new functionality in this version of the tools is Windows/Linux
  only.  See the listed PR for the pieces FreeBSD needs to achieve parity.

  PR:	246338
  Submitted by:	jwolfe@vmware.com
  Sponsored by:	Panzura

Changes:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/distinfo
  head/emulators/open-vm-tools/files/patch-libDeployPkg_processPosix.c
  head/emulators/open-vm-tools/files/patch-modules_freebsd_shared_compat__vop.h
  head/emulators/open-vm-tools/files/patch-modules_freebsd_vmblock_vnops.c
  head/emulators/open-vm-tools/files/patch-modules_freebsd_vmmemctl_os.c
Comment 4 Josh Paetzel freebsd_committer 2020-05-14 14:20:13 UTC
Committed, thanks!